nsGnomeVFSService.cpp has new libgnomevfs/gnome-vfs-utils.h system header dependency

RESOLVED FIXED in Firefox 3 beta2

Status

()

RESOLVED FIXED
11 years ago
11 years ago

People

(Reporter: mozbugs, Assigned: mozbugs)

Tracking

Trunk
Firefox 3 beta2
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Assignee)

Description

11 years ago
Created attachment 290328 [details] [diff] [review]
Use gnome-vfs meta header

nsGnomeVFSService.cpp now includes libgnomevfs/gnome-vfs-utils.h, which is not in config/system-headers. In the spirit of bug #400621, I've attached a patch to make the code just use the meta header instead.
Attachment #290328 - Flags: review?(benjamin)
(Assignee)

Comment 1

11 years ago
Without the patch, the build fails with gcc 4.2, just like bug #400621.

Comment 2

11 years ago
(In reply to comment #0)
> Created an attachment (id=290328) [details]
> Use gnome-vfs meta header

I tried the patch with gcc 4.2.1.
It solved build error.
Thanks!

Updated

11 years ago
Attachment #290328 - Flags: review?(benjamin) → review+
(Assignee)

Updated

11 years ago
Attachment #290328 - Flags: approval1.9?
Assignee: nobody → manish
Comment on attachment 290328 [details] [diff] [review]
Use gnome-vfs meta header

a=beltzner for drivers
Attachment #290328 - Flags: approval1.9? → approval1.9+
Keywords: checkin-needed
Checking in toolkit/system/gnome/nsGnomeVFSService.cpp;
/cvsroot/mozilla/toolkit/system/gnome/nsGnomeVFSService.cpp,v  <--  nsGnomeVFSService.cpp
new revision: 1.5; previous revision: 1.4
done
Status: NEW → RESOLVED
Last Resolved: 11 years ago
Keywords: checkin-needed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 3 M10
You need to log in before you can comment on or make changes to this bug.